# README #

wradlib is designed to assist you in the most important steps of
processing weather radar data. These may include: reading common data
formats, georeferencing, converting reflectivity to rainfall
intensity, identifying and correcting typical error sources (such as
clutter or attenuation) and visualising the data.

[![Join the chat at https://gitter.im/wradlib/wradlib](https://badges.gitter.im/wradlib/wradlib.svg)](https://gitter.im/wradlib/wradlib?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

**To anyone who wants to use a bleeding edge version of wradlib from this repository:**

wradlib uses GitHub Actions for Continuous Integration. This means that once new code is pushed to the wradlib repository, a suite of tests and checks are run. In case the tests run without failure, a new documentation will be built on readthedocs and is available at the [wradlib documentation website](https://docs.wradlib.org).

Below you see the status of wradlib. A green status indicates that the current revision of wradlib did pass the tests successfully. You should be aware of that a green status is not a guarantee that the latest revision is bug free. It just means that our tests did not find any bugs. Also, the status of code coverage, of ReadTheDocs documentation builds and of availability of wradlib conda package is displayed.

## Package Status ##

| Item | Status |
| --- | --- |
| Github Latest | [![Build Status](https://github.com/wradlib/wradlib/workflows/CI/badge.svg)](https://github.com/wradlib/wradlib/actions) |
| Github Release | [![Build Status](https://github.com/wradlib/wradlib/actions/workflows/ci.yml/badge.svg?event=release)](https://github.com/wradlib/wradlib/actions/workflows/ci.yml) |
| Codecov | [![codecov](https://codecov.io/gh/wradlib/wradlib/branch/main/graph/badge.svg)](https://codecov.io/gh/wradlib/wradlib) |
| RTD Latest | [![ReadTheDocs Latest](https://readthedocs.org/projects/wradlib/badge/?version=latest)](https://docs.wradlib.org/en/latest/) |
| RTD Stable | [![ReadTheDocs Stable](https://readthedocs.org/projects/wradlib/badge/?version=stable)](https://docs.wradlib.org/en/stable/) |
| Anaconda Latest | [![Anaconda Latest](https://anaconda.org/conda-forge/wradlib/badges/latest_release_date.svg)](https://anaconda.org/conda-forge/wradlib/) |
| Anaconda Version | [![Anaconda Status](https://anaconda.org/conda-forge/wradlib/badges/version.svg)](https://anaconda.org/conda-forge/wradlib/) |

### Documentation ###

For further information on wradlib (getting started, library reference, development setup, ...), please see our homepage:

https://wradlib.org

Specific information for developers is available via the [wradlib-wiki](https://github.com/wradlib/wradlib/wiki).

### Citing wradlib

You can cite wradlib using the DOI below, or select the fitting zenodo DOI if you want to cite a distinct wradlib version by following the link.

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.1209843.svg)](https://doi.org/10.5281/zenodo.1209843)

### User forum ###

In order to stay tuned, we recommend that you register to the [openradar discourse](https://openradar.discourse.group).

### Found any bugs or want to add wishes ###

Create an issue [here](https://github.com/wradlib/wradlib/issues).
